Custom Collections API
Bu içerik henüz dilinizde mevcut değil.
Custom Collections API
Заголовок раздела «Custom Collections API»List Custom Collections
Заголовок раздела «List Custom Collections»List all custom collections for an account:
GET /custom_collectionsResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 2, "sourceID": null, "reference": "collection_2", "name": "Collection 2", "description": "2nd collection", "created_at": "2016-12-23T05:09:03-06:00", "updated_at": "2016-12-23T05:09:03-06:00" }, { "id": 3, "sourceID": null, "reference": "another_collection", "name": "Another Collection", "description": "Different collection", "created_at": "2016-12-23T05:09:03-06:00", "updated_at": "2016-12-23T05:09:03-06:00" }]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of custom collections.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/custom_collections/disabled: List all disabled custom collections/custom_collections/enabled: List all enabled custom collections
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of custom collections:
id
sourceID
reference
name
description
created_at
updated_at
Obtain a different set of fields using the ?fields=parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
id
source
sourceID
disabled
reference
created_at
updated_at
The filters on
source
,
sourceID
, and
reference
are not case sensitive.
Sorting
Заголовок раздела «Sorting»By default a collection of custom collections is sorted
ascending
by
id
.
The following fields are accepted by the ?sort=parameter :
id
sourceID
reference
created_at
updated_at
Get a single custom collection
Заголовок раздела «Get a single custom collection»GET /custom_collections/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "attachments": [], "created_at": "2016-12-23T05:09:03-06:00", "description": "2nd collection", "disabled": false, "id": 2, "name": "Collection 2", "reference": "collection_2", "source": null, "sourceID": null, "updated_at": "2016-12-23T05:09:03-06:00"}The response contains these fields .
Create a custom collection
Заголовок раздела «Create a custom collection»POST /custom_collectionsWhen creating a new custom collection these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "id": "...", "...": "..."}The response contains all fields of the created custom collection and is similar to the response in Get a single custom collection
Update a custom collection
Заголовок раздела «Update a custom collection»PATCH /custom_collections/:idWhen updating a custom collection these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "id": "...", "...": "..."}The response contains all fields of the updated custom collection and is similar to the response in Get a single custom collection
attachments
Readonly aggregated Attachments
created_at
Readonly datetime — The date and time at which the custom collection was created.
description
Optional text (max 64KB) — The Description field is used to enter a high-level description of the custom collection.
description_attachments
Writeonly attachments The attachments used in the Description field.
disabled
Optional
boolean
, default:
false
— The Disabled box is checked when the custom collection may not be related to any more custom views.
id
Readonly integer — The unique ID of the custom collection.
name
Required string (max 128) — The Name field is used to enter the name of the custom collection.
picture_uri
Optional string — The hyperlink to the image file for the custom collection.
reference
Optional string (max 128) — The Reference field defaults to the Name field value, written in lower case characters and with all spaces replaced by the underscore character. This reference can be used to link the custom collection to a custom collection element using the R-Service APIs or the R-Service Import functionality and in automation rules.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
ui_extension
Optional reference to UI Extension — The UI extension field is used to select the UI extension that is to be added to the custom collection elements that are based on the custom collection.
updated_at
Readonly
datetime
— The date and time of the last update of the custom collection. If the custom collection has no updates it contains the
created_at
value.